Bug 1914880 - python-terminado: FTBFS in Fedora rawhide - ValueError: invalid literal for int() with base 10: '\x1b[?2004l\r376\r'
Summary: python-terminado: FTBFS in Fedora rawhide - ValueError: invalid literal for i...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-terminado
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-11 12:08 UTC by Tomáš Hrnčiar
Modified: 2021-02-09 16:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github jupyter terminado issues 88 0 None open Tests are failing with readline 8.1: ValueError: invalid literal for int() with base 10: '\x1b[?2004l\r150520\r' 2021-01-30 04:14:22 UTC

Description Tomáš Hrnčiar 2021-01-11 12:08:06 UTC
Description of problem:
Package python-terminado fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
0.9.1-1.fc34

Steps to Reproduce:
koji build --scratch f34 python-terminado-0.9.1-1.fc34.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-terminado

======================================================================
ERROR: test_unique_processes (terminado.tests.basic_test.UniqueTermTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib64/python3.10/site-packages/tornado/testing.py", line 98, in __call__
    result = self.orig_method(*args, **kwargs)
  File "/usr/lib64/python3.10/site-packages/tornado/testing.py", line 599, in post_coroutine
    return self.io_loop.run_sync(
  File "/usr/lib64/python3.10/site-packages/tornado/ioloop.py", line 530, in run_sync
    return future_cell[0].result()
  File "/usr/lib64/python3.10/site-packages/tornado/gen.py", line 769, in run
    yielded = self.gen.throw(*exc_info)  # type: ignore
  File "/builddir/build/BUILD/terminado-0.9.1/terminado/tests/basic_test.py", line 234, in test_unique_processes
    pids = yield self.get_pids(tms)
  File "/usr/lib64/python3.10/site-packages/tornado/gen.py", line 762, in run
    value = future.result()
  File "/usr/lib64/python3.10/site-packages/tornado/gen.py", line 769, in run
    yielded = self.gen.throw(*exc_info)  # type: ignore
  File "/builddir/build/BUILD/terminado-0.9.1/terminado/tests/basic_test.py", line 127, in get_pids
    pid = yield tm.get_pid()
  File "/usr/lib64/python3.10/site-packages/tornado/gen.py", line 762, in run
    value = future.result()
  File "/usr/lib64/python3.10/site-packages/tornado/gen.py", line 775, in run
    yielded = self.gen.send(value)
  File "/builddir/build/BUILD/terminado-0.9.1/terminado/tests/basic_test.py", line 98, in get_pid
    pid = int(stdout.split('\n')[1])
ValueError: invalid literal for int() with base 10: '\x1b[?2004l\r376\r'

Comment 1 Miro Hrončok 2021-01-11 12:09:23 UTC
I suspect new bash. See also bz1914782.

Comment 2 Miro Hrončok 2021-01-11 18:53:52 UTC
OK, terminado does not seem to use pexpect.

https://github.com/jupyter/terminado/issues/88

Comment 3 Fedora Release Engineering 2021-01-24 04:22:51 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-08).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 4 Ben Cotton 2021-02-09 15:39:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.